diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BreeSoldier.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldier.java
similarity index 96%
rename from src/main/java/com/zivilon/cinder_loe/entity/BreeSoldier.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldier.java
index f38af2b..6d06285 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BreeSoldier.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldier.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/BreeSoldierBannerBearer.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldierBannerBearer.java
similarity index 93%
rename from src/main/java/com/zivilon/cinder_loe/entity/BreeSoldierBannerBearer.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldierBannerBearer.java
index 00b21b8..ad53c97 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/BreeSoldierBannerBearer.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/BreeSoldierBannerBearer.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.npc.LOTRBannerBearer;
 import lotr.common.item.LOTRItemBanner;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/DwarfLevy.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/DwarfLevy.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/DwarfLevy.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/DwarfLevy.java
index 29a3d5c..55dbf2d 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/DwarfLevy.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/DwarfLevy.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornAnimal.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAnimal.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornAnimal.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAnimal.java
index e13fc52..e073486 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornAnimal.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAnimal.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRAchievement;
 import lotr.common.LOTRFoods;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornAuroch.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAuroch.java
similarity index 89%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornAuroch.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAuroch.java
index 4bc6a30..7894ac7 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornAuroch.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornAuroch.java
@@ -1,23 +1,16 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRMod;
-import net.minecraft.block.Block;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
-import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
 import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
-import net.minecraft.nbt.NBTTagCompound;
 import net.minecraft.util.DamageSource;
 import net.minecraft.world.World;
 import net.minecraft.util.MovingObjectPosition;
 
-import java.util.List;
-
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
 
 public class FangornAuroch extends FangornAnimal {
     public FangornAuroch(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornBear.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornBear.java
similarity index 96%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornBear.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornBear.java
index 8ab23b0..866f8c4 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornBear.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornBear.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRMod;
 import lotr.common.entity.animal.LOTREntityBear;
@@ -7,8 +7,6 @@ import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
-import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
 import net.minecraft.nbt.NBTTagCompound;
 import net.minecraft.util.DamageSource;
@@ -18,7 +16,6 @@ import net.minecraft.world.World;
 import java.util.List;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
 
 public class FangornBear extends FangornAnimal {
     public FangornBear(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornElk.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornElk.java
similarity index 89%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornElk.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornElk.java
index aff8ddc..0d6657e 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornElk.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornElk.java
@@ -1,24 +1,18 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRMod;
-import net.minecraft.block.Block;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
-import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
 import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
-import net.minecraft.nbt.NBTTagCompound;
 import net.minecraft.util.DamageSource;
 import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.world.World;
 
-import java.util.List;
 import java.util.UUID;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
 
 public class FangornElk extends FangornAnimal {
     public FangornElk(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornWildBoar.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWildBoar.java
similarity index 87%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornWildBoar.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWildBoar.java
index 239ec53..c1c4d6c 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornWildBoar.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWildBoar.java
@@ -1,23 +1,15 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import lotr.common.LOTRMod;
-import net.minecraft.block.Block;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
-import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
 import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
-import net.minecraft.nbt.NBTTagCompound;
 import net.minecraft.util.DamageSource;
 import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.world.World;
 
-import java.util.List;
-
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
 
 public class FangornWildBoar extends FangornAnimal {
     public FangornWildBoar(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/FangornWolf.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWolf.java
similarity index 82%
rename from src/main/java/com/zivilon/cinder_loe/entity/FangornWolf.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWolf.java
index a71243e..efc7e64 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/FangornWolf.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/FangornWolf.java
@@ -1,23 +1,12 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import lotr.common.LOTRMod;
-import net.minecraft.block.Block;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
-import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
 import net.minecraft.init.Items;
-import net.minecraft.item.ItemStack;
-import net.minecraft.nbt.NBTTagCompound;
 import net.minecraft.util.DamageSource;
 import net.minecraft.world.World;
 
-import java.util.List;
-
-import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
-
 public class FangornWolf extends FangornAnimal {
     public FangornWolf(World world) {
         super(world);
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/HaradLevy.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/HaradLevy.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/HaradLevy.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/HaradLevy.java
index f7b004e..154c2cb 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/HaradLevy.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/HaradLevy.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRMod;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/Limwaith.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/Limwaith.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/Limwaith.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/Limwaith.java
index 7dfaccc..47e2442 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/Limwaith.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/Limwaith.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.npc.LOTREntityMoredain;
 import lotr.common.entity.npc.LOTRNPCMount;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBannerBearer.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBannerBearer.java
similarity index 71%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithBannerBearer.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBannerBearer.java
index a7645da..5a56611 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBannerBearer.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBannerBearer.java
@@ -1,12 +1,12 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.npc.LOTRBannerBearer;
 import lotr.common.item.LOTRItemBanner;
+import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.world.World;
 import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.item.ItemStack;
 
-import com.zivilon.cinder_loe.entity.LimwaithWarrior;
 import com.zivilon.cinder_loe.CinderLoE;
 
 public class LimwaithBannerBearer extends LimwaithWarrior implements LOTRBannerBearer {
@@ -15,10 +15,15 @@ public class LimwaithBannerBearer extends LimwaithWarrior implements LOTRBannerB
     }
 
     public LOTRItemBanner.BannerType getBannerType() {
-        return LOTRItemBanner.BannerType.MOREDAIN;
+        return LOTRItemBanner.BannerType.forID(43);
     }
     @Override
     public ItemStack getPickedResult(MovingObjectPosition target) {
         return new ItemStack(CinderLoE.limwaithBannerBearerSpawnEgg, 1);
     }
+
+    @Override
+    public void attackEntityWithRangedAttack(EntityLivingBase p_82196_1_, float p_82196_2_) {
+
+    }
 }
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBlowgunner.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBlowgunner.java
similarity index 87%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithBlowgunner.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBlowgunner.java
index 3b1f43b..871b0bd 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBlowgunner.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBlowgunner.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRMod;
 import lotr.common.entity.ai.LOTREntityAIRangedAttack;
@@ -7,23 +7,15 @@ import lotr.common.item.LOTRItemBlowgun;
 import lotr.common.item.LOTRItemDart;
 
 import net.minecraft.entity.Entity;
-import net.minecraft.entity.EntityLiving;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.SharedMonsterAttributes;
 import net.minecraft.entity.ai.EntityAIBase;
-import net.minecraft.entity.player.EntityPlayer;
-import net.minecraft.init.Blocks;
-import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
-import net.minecraft.util.MathHelper;
 import net.minecraft.util.MovingObjectPosition;
-import net.minecraft.util.StatCollector;
 import net.minecraft.world.World;
-import net.minecraft.world.biome.BiomeGenBase;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.Limwaith;
 
 public class LimwaithBlowgunner extends Limwaith {
     public LimwaithBlowgunner(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBoneWarrior.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBoneWarrior.java
similarity index 97%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithBoneWarrior.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBoneWarrior.java
index 7d00cfb..acc542a 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithBoneWarrior.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithBoneWarrior.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import com.zivilon.cinder_loe.CinderLoE;
 import lotr.common.LOTRShields;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithChieftain.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithChieftain.java
similarity index 95%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithChieftain.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithChieftain.java
index b3d0823..cca0039 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithChieftain.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithChieftain.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
@@ -12,7 +12,6 @@ import lotr.common.entity.npc.LOTRUnitTradeable;
 import lotr.common.entity.npc.LOTRUnitTradeEntries;
 import lotr.common.world.spawning.LOTRInvasions;
 
-import com.zivilon.cinder_loe.entity.LimwaithWarrior;
 import com.zivilon.cinder_loe.CinderLoE;
 
 public class LimwaithChieftain extends LimwaithBoneWarrior implements LOTRUnitTradeable  {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithWarrior.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithWarrior.java
similarity index 58%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithWarrior.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithWarrior.java
index 981dfcc..26b703d 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithWarrior.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/LimwaithWarrior.java
@@ -1,45 +1,12 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import lotr.common.entity.npc.LOTREntityMoredain;
-import lotr.common.entity.npc.LOTRNPCMount;
-import lotr.common.LOTRAchievement;
-import lotr.common.LOTRFoods;
-import lotr.common.LOTRMod;
 import lotr.common.LOTRShields;
-import lotr.common.entity.ai.LOTREntityAIAttackOnCollide;
-import lotr.common.entity.ai.LOTREntityAIDrink;
-import lotr.common.entity.ai.LOTREntityAIEat;
-import lotr.common.entity.ai.LOTREntityAIFollowHiringPlayer;
-import lotr.common.entity.ai.LOTREntityAIHiredRemainStill;
-import lotr.common.entity.animal.LOTREntityZebra;
-import lotr.common.fac.LOTRFaction;
-import lotr.common.quest.LOTRMiniQuest;
-import lotr.common.quest.LOTRMiniQuestFactory;
-import lotr.common.world.structure.LOTRChestContents;
-import net.minecraft.block.Block;
-import net.minecraft.entity.Entity;
-import net.minecraft.entity.EntityLiving;
 import net.minecraft.entity.IEntityLivingData;
-import net.minecraft.entity.SharedMonsterAttributes;
-import net.minecraft.entity.ai.EntityAIBase;
-import net.minecraft.entity.ai.EntityAILookIdle;
-import net.minecraft.entity.ai.EntityAIOpenDoor;
-import net.minecraft.entity.ai.EntityAISwimming;
-import net.minecraft.entity.ai.EntityAIWander;
-import net.minecraft.entity.ai.EntityAIWatchClosest;
-import net.minecraft.entity.ai.EntityAIWatchClosest2;
-import net.minecraft.entity.player.EntityPlayer;
-import net.minecraft.init.Blocks;
-import net.minecraft.init.Items;
 import net.minecraft.item.ItemStack;
-import net.minecraft.util.MathHelper;
-import net.minecraft.util.StatCollector;
 import net.minecraft.util.MovingObjectPosition;
 import net.minecraft.world.World;
-import net.minecraft.world.biome.BiomeGenBase;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import com.zivilon.cinder_loe.entity.Limwaith;
 
 public class LimwaithWarrior extends Limwaith {
     public LimwaithWarrior(World world) {
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfArbalest.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfArbalest.java
similarity index 97%
rename from src/main/java/com/zivilon/cinder_loe/entity/RedDwarfArbalest.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfArbalest.java
index 775b33b..b86eb2e 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfArbalest.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfArbalest.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.npc.LOTREntityDwarfAxeThrower;
 import lotr.common.LOTRMod;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfBannerBearer.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfBannerBearer.java
similarity index 71%
rename from src/main/java/com/zivilon/cinder_loe/entity/RedDwarfBannerBearer.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfBannerBearer.java
index 7df9cff..6b0023a 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfBannerBearer.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfBannerBearer.java
@@ -1,8 +1,7 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
-import lotr.common.LOTRMod;
 import lotr.common.item.LOTRItemBanner;
-import net.minecraft.entity.IEntityLivingData;
+import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.item.ItemStack;
 import net.minecraft.world.World;
 import lotr.common.entity.npc.LOTRBannerBearer;
@@ -16,10 +15,15 @@ public class RedDwarfBannerBearer extends RedDwarfWarrior implements LOTRBannerB
     }
       
     public LOTRItemBanner.BannerType getBannerType() {
-        return LOTRItemBanner.BannerType.DWARF;
+        return LOTRItemBanner.BannerType.forID(42);
     }
     @Override
     public ItemStack getPickedResult(MovingObjectPosition target) {
         return new ItemStack(CinderLoE.redDwarfBannerBearerSpawnEgg, 1);
     }
+
+    @Override
+    public void attackEntityWithRangedAttack(EntityLivingBase p_82196_1_, float p_82196_2_) {
+
+    }
 }
\ No newline at end of file
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfCommander.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfCommander.java
similarity index 97%
rename from src/main/java/com/zivilon/cinder_loe/entity/RedDwarfCommander.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfCommander.java
index dfba8a2..0888b6c 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfCommander.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfCommander.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.LOTRMod;
 import net.minecraft.entity.IEntityLivingData;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfWarrior.java b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfWarrior.java
similarity index 98%
rename from src/main/java/com/zivilon/cinder_loe/entity/RedDwarfWarrior.java
rename to src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfWarrior.java
index d423e4d..4005ae1 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfWarrior.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/npc/RedDwarfWarrior.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.npc;
 
 import lotr.common.entity.npc.LOTREntityDwarfWarrior;
 import lotr.common.LOTRMod;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/trader/BladorthinSmith.java b/src/main/java/com/zivilon/cinder_loe/entity/trader/BladorthinSmith.java
new file mode 100644
index 0000000..b801263
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/entity/trader/BladorthinSmith.java
@@ -0,0 +1,106 @@
+package com.zivilon.cinder_loe.entity.trader;
+
+import com.zivilon.cinder_loe.CinderLoE;
+import lotr.common.LOTRFoods;
+import lotr.common.LOTRLevelData;
+import lotr.common.LOTRMod;
+import lotr.common.entity.npc.*;
+import lotr.common.entity.npc.LOTRTradeEntries.TradeType;
+import net.minecraft.entity.EntityLivingBase;
+import net.minecraft.entity.IEntityLivingData;
+import net.minecraft.entity.player.EntityPlayer;
+import net.minecraft.init.Blocks;
+import net.minecraft.init.Items;
+import net.minecraft.item.Item;
+import net.minecraft.item.ItemStack;
+import net.minecraft.util.MovingObjectPosition;
+import net.minecraft.world.World;
+
+public class BladorthinSmith extends LOTREntityDorwinionElf implements LOTRTradeable.Smith {
+    public static LOTRTradeEntries BLADORTHIN_SMITH_BUY;
+    public static LOTRTradeEntries BLADORTHIN_SMITH_SELL;
+
+    public BladorthinSmith(World world) {
+        super(world);
+    }
+
+    public IEntityLivingData onSpawnWithEgg(IEntityLivingData data) {
+        data = super.onSpawnWithEgg(data);
+        this.npcItemsInv.setMeleeWeapon(new ItemStack(LOTRMod.blacksmithHammer));
+        this.npcItemsInv.setIdleItem(this.npcItemsInv.getMeleeWeapon());
+        return data;
+    }
+
+    public LOTRTradeEntries getBuyPool() {
+        return BLADORTHIN_SMITH_BUY;
+    }
+
+    public LOTRTradeEntries getSellPool() {
+        return BLADORTHIN_SMITH_SELL;
+    }
+
+    public float getAlignmentBonus() {
+        return 2.0F;
+    }
+
+    protected void dropFewItems(boolean flag, int i) {
+        super.dropFewItems(flag, i);
+    }
+
+    public boolean canTradeWith(EntityPlayer entityplayer) {
+        return (LOTRLevelData.getData(entityplayer).getAlignment(getFaction()) >= 100.0F && isFriendlyAndAligned(entityplayer));
+    }
+
+    static {
+        BLADORTHIN_SMITH_BUY = new LOTRTradeEntries(TradeType.BUY,
+            new LOTRTradeEntry[] {
+                new LOTRTradeEntry(new ItemStack(LOTRMod.dorwinionTable), 100),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.swordDorwinionElf), 18),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.daggerDorwinionElf), 14),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.spearBladorthin), 20),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.helmetDorwinionElf), 18),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.bodyDorwinionElf), 25),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.legsDorwinionElf), 22),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.bootsDorwinionElf), 16),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.dorwinionElfBow), 15),
+                new LOTRTradeEntry(new ItemStack(Items.arrow, 4), 3)
+            }
+        );
+
+        BLADORTHIN_SMITH_SELL = new LOTRTradeEntries(TradeType.SELL,
+            new LOTRTradeEntry[] {
+                new LOTRTradeEntry(new ItemStack(Blocks.iron_ore), 5),
+                new LOTRTradeEntry(new ItemStack(Blocks.gold_ore), 15),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.oreCopper), 5),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.oreTin), 5),
+                new LOTRTradeEntry(new ItemStack(Items.iron_ingot), 3),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.elfSteel), 3),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.bronze), 3),
+                new LOTRTradeEntry(new ItemStack(Items.gold_ingot), 15),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.diamond), 25),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.emerald), 15),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.ruby), 12),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.opal), 10),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.amber), 10),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.topaz), 8),
+                new LOTRTradeEntry(new ItemStack(Items.coal, 2, Short.MAX_VALUE), 1),
+                new LOTRTradeEntry(new ItemStack(Items.lava_bucket), 16),
+                new LOTRTradeEntry(new ItemStack(Items.stick, 8), 1),
+                new LOTRTradeEntry(new ItemStack(Items.string, 3), 1),
+                new LOTRTradeEntry(new ItemStack(LOTRMod.mithrilNugget), 35)
+            }
+        );
+    }
+
+    @Override
+    public void onPlayerTrade(EntityPlayer entityplayer, TradeType type, ItemStack itemstack) {
+    }
+
+    @Override
+    public void attackEntityWithRangedAttack(EntityLivingBase p_82196_1_, float p_82196_2_) {
+    }
+    @Override
+    public ItemStack getPickedResult(MovingObjectPosition target) {
+        return null;
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithFishmonger.java b/src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithFishmonger.java
similarity index 91%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithFishmonger.java
rename to src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithFishmonger.java
index e1b61d8..4af380c 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithFishmonger.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithFishmonger.java
@@ -1,18 +1,15 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.trader;
 
 import com.zivilon.cinder_loe.CinderLoE;
+import com.zivilon.cinder_loe.entity.npc.Limwaith;
 import lotr.common.LOTRLevelData;
 import lotr.common.LOTRMod;
-import lotr.common.entity.npc.LOTREntityDwarf;
 import lotr.common.entity.npc.LOTRTradeEntries;
 import lotr.common.entity.npc.LOTRTradeEntries.TradeType;
-import lotr.common.entity.npc.LOTRTradeEntry;
 import lotr.common.entity.npc.LOTRTradeable;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.player.EntityPlayer;
-import net.minecraft.init.Blocks;
-import net.minecraft.init.Items;
 import net.minecraft.item.Item;
 import net.minecraft.item.ItemStack;
 import net.minecraft.world.World;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithShaman.java b/src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithShaman.java
similarity index 96%
rename from src/main/java/com/zivilon/cinder_loe/entity/LimwaithShaman.java
rename to src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithShaman.java
index d5b0b96..17f31bc 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/LimwaithShaman.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/trader/LimwaithShaman.java
@@ -1,15 +1,13 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.trader;
 
 import com.zivilon.cinder_loe.CinderLoE;
-import lotr.common.LOTRFoods;
+import com.zivilon.cinder_loe.entity.npc.Limwaith;
 import lotr.common.LOTRLevelData;
 import lotr.common.LOTRMod;
-import lotr.common.entity.npc.LOTREntityDwarf;
 import lotr.common.entity.npc.LOTRTradeEntries;
 import lotr.common.entity.npc.LOTRTradeEntries.TradeType;
 import lotr.common.entity.npc.LOTRTradeEntry;
 import lotr.common.entity.npc.LOTRTradeable;
-import lotr.common.item.LOTRItemMug;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.IEntityLivingData;
 import net.minecraft.entity.player.EntityPlayer;
diff --git a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfSmith.java b/src/main/java/com/zivilon/cinder_loe/entity/trader/RedDwarfSmith.java
similarity index 99%
rename from src/main/java/com/zivilon/cinder_loe/entity/RedDwarfSmith.java
rename to src/main/java/com/zivilon/cinder_loe/entity/trader/RedDwarfSmith.java
index a02002d..f7680b0 100644
--- a/src/main/java/com/zivilon/cinder_loe/entity/RedDwarfSmith.java
+++ b/src/main/java/com/zivilon/cinder_loe/entity/trader/RedDwarfSmith.java
@@ -1,4 +1,4 @@
-package com.zivilon.cinder_loe.entity;
+package com.zivilon.cinder_loe.entity.trader;
 
 import lotr.common.entity.npc.LOTRTradeEntries;
 import lotr.common.entity.npc.LOTRTradeEntries.TradeType;
diff --git a/src/main/java/com/zivilon/cinder_loe/items/RadagastStaff.java b/src/main/java/com/zivilon/cinder_loe/items/RadagastStaff.java
index b13c219..d01d670 100644
--- a/src/main/java/com/zivilon/cinder_loe/items/RadagastStaff.java
+++ b/src/main/java/com/zivilon/cinder_loe/items/RadagastStaff.java
@@ -1,28 +1,22 @@
 package com.zivilon.cinder_loe.items;
 
 
-import cpw.mods.fml.common.network.simpleimpl.IMessage;
-import lotr.common.LOTRCreativeTabs;
-import net.minecraft.creativetab.CreativeTabs;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.passive.EntityAnimal;
 import net.minecraft.entity.player.EntityPlayer;
-import net.minecraft.item.EnumAction;
 import net.minecraft.item.Item;
 import net.minecraft.item.ItemStack;
 import net.minecraft.util.AxisAlignedBB;
 import net.minecraft.world.World;
 
 import com.zivilon.cinder_loe.util.BlockPos;
-import com.zivilon.cinder_loe.items.WizardStaff;
-import com.zivilon.cinder_loe.entity.FangornBear;
-import com.zivilon.cinder_loe.entity.FangornWildBoar;
-import com.zivilon.cinder_loe.entity.FangornAuroch;
-import com.zivilon.cinder_loe.entity.FangornElk;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
+import com.zivilon.cinder_loe.entity.npc.FangornBear;
+import com.zivilon.cinder_loe.entity.npc.FangornWildBoar;
+import com.zivilon.cinder_loe.entity.npc.FangornAuroch;
+import com.zivilon.cinder_loe.entity.npc.FangornElk;
+import com.zivilon.cinder_loe.entity.npc.FangornAnimal;
 
-import lotr.common.item.LOTRMaterial;
 import java.util.Random;
 
 
